<riot-main>

	<!-- ヘッダ -->
	<riot-header></riot-header>

	<!-- グラーデーション水平線 -->
	<riot-gradation-hr></riot-gradation-hr>

	<!-- メイン -->
	<div class="main align_center float_clear">

		<!-- 左メニュー -->
		<tn-left-menu></tn-left-menu>

		<!-- 右コンテンツ -->
		<div class="contents float_left">

			<!-- Talknote API へようこそ -->
			<tn-top></tn-top>

			<!-- ご利用方法 -->
			<tn-intro></tn-intro>

			<!-- アクセストークン -->
			<tn-token></tn-token>

			<!-- APIリファレンス -->
			<tn-api-v1-allfeed-list></tn-api-v1-allfeed-list>
			<tn-api-v1-allfeed-unread></tn-api-v1-allfeed-unread>
			<tn-api-v1-dm></tn-api-v1-dm>
			<tn-api-v1-dm-list></tn-api-v1-dm-list>
			<tn-api-v1-dm-unread></tn-api-v1-dm-unread>
			<tn-api-v1-dm-post></tn-api-v1-dm-post>
			<tn-api-v1-group></tn-api-v1-group>
			<tn-api-v1-group-list></tn-api-v1-group-list>
			<tn-api-v1-group-unread></tn-api-v1-group-unread>
			<tn-api-v1-group-post></tn-api-v1-group-post>
			<tn-api-v1-timeline-list></tn-api-v1-timeline-list>
			<tn-api-v1-timeline-post></tn-api-v1-timeline-post>

		</div>

	</div>

	<!-- フッタ -->
	<riot-footer></riot-footer>

	<script>

		var self = this
		this.changePage = function(uri){

			if (uri == undefined) uri = 'top'
			console.log('!!! changePage() uri:', uri)

			// コンテンツの切り替え
			$(".contents div.page").addClass('hidden')
			$(".contents div.page[name='"+uri+"']").removeClass('hidden')

			// リンクのアクティブ化
			switch (uri) {
				case 'top':
				case 'intro':
				case 'token':
				case 'api':
					$("div.left_menu_item").removeClass('active')
					$("div.left_menu_item[uri='"+uri+"']").addClass('active')
					$(".api").removeClass("active")
					if (uri == 'api') {
						uri = $("div.api").first().attr('uri')
						$("div.api").first().addClass("active")
						riot.route(uri)
					}
					break

				default:
					if (uri.indexOf('api/') ==  0) {
						$("div.left_menu_item").removeClass('active')
						$("div.left_menu_item[uri='api']").addClass('active')
						$(".api").removeClass("active")
						$(".api[uri='"+uri+"']").addClass("active")
					} else {
						riot.route('top')
					}
			}

		}

		// 初回表示時のリンクのアクティブ化
		this.on('mount', function(){

			var uri = window.location.href.split('#')[1]
			console.log('!!! tn-main mount uri:', uri)

			self.changePage(uri)

		})

		// ルーティング
		riot.route(function(){
			console.log('!!! tn-main arguments:', arguments)

			// コンテンツの切り替え
			var uri = window.location.href.split('#')[1]
			console.log('!!! tn-main uri:', uri)
			self.changePage(uri)

		})
		riot.route.start()
		console.log('!!! tn-main START routing...')
	</script>

</riot-main>